Error messasge after adding beta addons

**Before the error happened, I was…adding new beta-Addons

Error message (don't change this)
Anki 23.10.1 (fac9e0ee) Python 3.9.15 Qt 6.6.0 PyQt 6.6.0
Platform: Windows-10-10.0.19041
Flags: frz=True ao=True sv=3
Add-ons, last update check: 2023-12-10 18:29:05

Traceback (most recent call last):

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 238, in _send_request_with_retry
    response = self._send_request_with_retry_inner(request, stream=stream)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x1af86c4c760 state=finished raised ConnectionError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 244, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 259, in _send_request_with_retry_inner
    response = session.send(request, stream=stream)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 519, in send

requests.exceptions.ConnectionError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/users/deck_extensions?deck_id=a2a431a2-f34f-481f-a993-7efbfc68748d (Caused by NameResolutionError("<urllib3.connection.HTTPSConnection object at 0x000001AF86B8D910>: Failed to resolve 'app.ankihub.net' ([Errno 11004] getaddrinfo failed)"))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 138, in _on_closures_pending

  File "aqt.taskman", line 82, in <lambda>

  File "aqt.taskman", line 102, in wrapped_done

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 42, in on_sync_done
    on_done(future_with_exception(future.exception()))

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\auto_sync.py", line 74, in sync_with_ankiweb
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "concurrent.futures.thread", line 58, in run

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\operations\ankihub_sync.py", line 35, in <lambda>
    task=lambda: ah_deck_updater.update_decks_and_media(to_sync_ah_dids),

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\deck_updater.py", line 47, in update_decks_and_media
    self._update_decks(ah_dids)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\deck_updater.py", line 70, in _update_decks
    should_continue = self._update_single_deck(ah_did)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\deck_updater.py", line 86, in _update_single_deck
    result = self._update_deck_extensions(ankihub_did)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\gui\deck_updater.py", line 143, in _update_deck_extensions
    if not (deck_extensions := client.get_deck_extensions_by_deck_id(ankihub_did)):

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 963, in get_deck_extensions_by_deck_id
    response = self._send_request(

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 224, in _send_request
    response = self._send_request_with_retry(prepped, stream=stream)

  File "C:\Users\medic\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 246, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/users/deck_extensions?deck_id=a2a431a2-f34f-481f-a993-7efbfc68748d (Caused by NameResolutionError("<urllib3.connection.HTTPSConnection object at 0x000001AF86B8D910>: Failed to resolve 'app.ankihub.net' ([Errno 11004] getaddrinfo failed)"))

Sentry link (for developers)

This should be a temporary connection problem.

1 Like